Subject: bug#48545: 28.0.50; `icomplete-vertical-mode` does not support the `group-function`

From: João Távora <[email-masked]>
Date: Tue, 17 Aug 2021 13:17:08 +0100

Daniel Mendler <[email-masked]> writes:

> The recently introduced `icomplete-vertical-mode` should support the
> `group-function`, which can be specified by the completion metadata. The
> group function allows grouping the completion candidates by group titles.
>
> Additional to the default completion UI, support for group functions is
> already present in the following vertical minibuffer UIs, which are
> similar to `icomplete-vertical-mode`: Vertico (GNU ELPA), Selectrum
> (MELPA) and Icomplete-vertical (MELPA).

I just tried

   (setq xref-show-definitions-function 'xref-show-definitions-completing-read)

To enable what seems to be the only table in Emacs core that has this
feature with fido-vertical-mode.

It seemed to do the right thing, prepending each entry with the name of
its associated "group".  Is this what it means to support this?  If so,
I'll close.  Else, please explain what support you're looking for.

Thanks,
João